<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m220914_091112_add_table_producer_price_range
 */
class m220914_091112_add_table_producer_price_range extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable('producer_price_range', [
            'id' => 'pk',
            'range_begin' => Schema::TYPE_DOUBLE . ' NOT NULL',
            'range_end' => Schema::TYPE_DOUBLE,
            'price' => Schema::TYPE_DOUBLE . ' NOT NULL',
        ]);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropTable('producer_price_range');
    }
}
